//---------------------------------
// 2018/4/12

#ifndef STORAGE_H
#define STORAGE_H

#include <SD.h>
#include <SPIFFS.h>

class Storage{

public:
  static const bool opLogSerial = true;   // Log on serial monitor
  static const bool opLogStorage = true;  // Log on storage (SD or SPIFFS)
  static const bool opLogSD = true;       // true : SD, false : SPIFFS
  static const String opLogDir;
  static const String opLogFileName;
  static const uint8_t pinSDCS = 17;      // SD SPI CS Pin

  static void opLog(String logStr);
  static String getOpLogPath();
  static File open(String path, const char*mode);
  static void end();
  static void remove(String path);
  static bool exists(String path);
  static void mkdir(String path);
  
};

#endif


