//---------------------------------
// 2018/7/8

#ifndef WEB_PAGE_HANDLER_H
#define WEB_PAGE_HANDLER_H

#include <WiFi.h>
#include <WiFiClient.h>
#include <AsyncTCP.h>
#include <ESPAsyncWebServer.h>
#include <ESPmDNS.h>

class WebPageHandler{

public:
  static const char pageBattery[];
  static const char pageLogFile[];
  static const char pageSystem[];
  static std::function<void(uint8_t)> callBack;

  static const uint8_t idSleepControlOneTime = 9;
  
  // Functions
  static void startServer(std::function<void(uint8_t)> f);
  static void printHeader(AsyncResponseStream *response);
  static void printNavBar(AsyncResponseStream *response, const char*page);
  static void printScript(AsyncResponseStream *response);
  static void handleBatteryPage(AsyncWebServerRequest *request);
  static void handleLogFilePage(AsyncWebServerRequest *request);
  static void handleSystemPage(AsyncWebServerRequest *request);
  static void handleDownload(AsyncWebServerRequest *request);
  static void handleNotFound(AsyncWebServerRequest *request);
};

#endif


